﻿'Digitaler Widerstand
$regfile = "ATtiny45.DAT"                                   ' specify the used micro
$crystal = 8000000                                          ' used crystal frequency
$hwstack = 32                                               ' default use 32 for the hardware stack
$swstack = 10                                               ' default use 10 for the SW stack
$framesize = 40                                             ' default use 40 for the frame space

Config Timer0 = Pwm , Compare_a_pwm = Clear_up , Compare_b_pwm = Clear_down , Prescale = 1
Config Adc = Single , Prescaler = Auto
Start Adc

Dim Ist As Word , Soll As Word , Stell As Integer , Ub As Word
Const Kp = 3					'p-Anteil Regler

Ub = Getadc(1)				'Quellspannung ermitteln

Do
Ist = Getadc(1)                                            	 'Pin7
Soll = Getadc(2)                                            	'Pin3

'Diese Zeile eventuell auskommentieren
Stell = Ist – Soll

'die folgenden zwei Zeilen bei quellbezogener Regelung
'Stell = Ist + Soll
'Stell = Stell - Ub

Stell = Stell * Kp
If Stell > 255 Then Stell = 255		'Begrenzung der PWM
If Stell < 0 Then Stell = 0
OCR0A = Low(Stell)			'Pin5, Gate vom MOSFET

Waitms 20
Loop
